/*
 * Callback.h
 *
 * Typedef and structure def for callback routines and lists of same.
 *
 */

/* A function ptr to allow dynamic lists of functions called by tools */
typedef void (*CallBack)();

/* Maintain a linked-list of callback routines */
struct CallBackList
{
  CallBack proc;                /* address of callback */
  struct CallBackList* next;    /* next callback, if any */
};

/* Some significant, pre-provided callbacks */

/* The default assigned to expose- and update- callbacks for buttons */
void defaultButtonCallback();

/* The defaults assigned to the default slots of sliders */
void defaultSliderCallback();
void defaultSliderUpdateCallback();

/* The defaults for joysticks */
void defaultJoystickCallback();
void defaultJoystickUpdateCallback();

/* Default for AMap's */
void defaultAMapCallback();
void defaultAMapUpdateCallback();
